function fig2_15

n=1;

clf
% get(gcf)
set(gcf,'Position', [25 1115 658 230])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)
subaxis(1,1,1,1,'MT',0.01,'MB',0.2,'MR',0.01,'ML',0.06,'P',0.04)

nx=100;
xmax=20;

x=linspace(0,xmax,nx);
for ix=1:nx
    y(ix)=besselj(n,x(ix));
end

X=linspace(0.5,xmax,nx);
for ix=1:nx
    Y(ix)=sqrt(2/(pi*X(ix)))*cos(X(ix)-0.25*pi-0.5*n*pi);
end

plot(x,y,'b','LineWidth',1.3)
hold on
plot(X,Y,'--r','LineWidth',1.1)
axis([0 xmax -0.5 0.6])

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

box on
grid on
legend(' Exact\,',' Asy','Location','NorthEast','FontSize',13,'Interpreter','latex','AutoUpdate','off')

% say=['$ t = 0.2$']; 
% text(0.1,0.02,say,'FontSize',13,'Interpreter', 'latex')

xlabel('$x$\,-\,axis','Interpreter','latex','FontSize',14)

%exportgraphics(gcf,'/Users/mark/Desktop/bessel.pdf')

















